# $Revision: 1.31 $, $Date: 2010/11/16 08:17:23 $
%include	/usr/lib/rpm/macros.php
%define		_class		Auth
%define		_subclass	RADIUS
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Wrapper Classes for the RADIUS PECL
Summary(pl.UTF-8):	%{_pearname} - Wrapper dla klasy RADIUS PECL
Name:		php-pear-%{_pearname}
Version:	1.0.7
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	af7d3a84ce52ffad3d86a65a3f5f8bf5
URL:		http://pear.php.net/package/Auth_RADIUS/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pecl-radius >= 1.2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides wrapper-classes for the RADIUS PECL. There are
different Classes for the different authentication methods. If you are
using CHAP-MD5 or MS-CHAP you need also the Crypt_CHAP package. If you
are using MS-CHAP you need also the mhash extension.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet udostępnia klasy obudowujące RADIUS PECL. Są różne klasy
dla różnych metod uwierzytelniania. Do używania CHAP-MD5 lub MS-CHAP
potrzebny jest także pakiet Crypt_CHAP. Do MS-CHAP potrzebne jest
dodatkowo rozszerzenie mhash.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Auth_RADIUS.spec,v $
Revision 1.31  2010/11/16 08:17:23  glen
- updated to: 1.0.7

Revision 1.30  2010/08/21 19:07:36  glen
- updated deps with pearize.sh
- release 2

Revision 1.29  2008/05/02 22:59:34  adamg
- updated to 1.0.6

Revision 1.28  2008-01-31 12:16:05  glen
- rel 2

Revision 1.27  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.25  2006/11/26 20:21:42  glen
- 1.0.5

Revision 1.24  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.23  2006/03/29 22:29:38  glen
- rel 5 (rebuild with less deps)

Revision 1.22  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.21  2005/10/06 11:47:53  glen
- fix radius extension req; rel 4

Revision 1.20  2005/10/05 20:11:06  glen
- rel 3

Revision 1.19  2005/10/03 23:04:11  glen
- unified

Revision 1.18  2005/10/03 22:59:15  glen
- semi automatically added deps from pear

Revision 1.17  2005/09/19 21:43:39  glen
- integer BR

Revision 1.16  2005/09/19 18:51:24  glen
- merged from DEVEL: use new pear packaging system

Revision 1.14.2.1  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.14  2005/09/18 14:16:33  glen
- use php-pear-build

Revision 1.13  2004/12/03 20:45:51  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.12  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.11  2004/04/03 14:44:14  adamg
- updated to 1.0.4

Revision 1.10  2004/03/25 19:25:02  adamg
- updated to 1.0.3

Revision 1.9  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.8  2003/08/31 20:49:08  adamg
- more specific URL

Revision 1.7  2003/07/18 06:22:46  adamg
- updated to 1.0.2

Revision 1.6  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.5  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/02 20:37:32  qboosh
- pl description

Revision 1.2  2003/02/01 23:15:01  blues
- added correct requirement

Revision 1.1  2003/02/01 23:12:12  blues
- initial stable release - STBR to Ra updates only with php-pecl-radius
